## org.w3c.dom.css
Interface DOMImplementationCSS

All Superinterfaces:
  DOMImplementation

public interface DOMImplementationCSS
extends DOMImplementation

This interface allows the DOM user to create a `CSSStyleSheet` outside the context of a document. There is no way to associate the new `CSSStyleSheet` with a document in DOM Level 2.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Method Summary
`CSSStyleSheet` `createCSSStyleSheet(java.lang.String title, java.lang.String media)` Creates a new `CSSStyleSheet`.

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocument, createDocumentType, hasFeature`

Method Detail

### createCSSStyleSheet

    public CSSStyleSheet createCSSStyleSheet(java.lang.String title,
                                             java.lang.String media)
                                      throws DOMException

  Creates a new `CSSStyleSheet`.
  Parameters:
    `title` - The advisory title. See also the section.
    `media` - The comma-separated list of media associated with the new style sheet. See also the section.
  Returns:
    A new CSS style sheet.
  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the specified media string value has a syntax error and is unparsable.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.